//#######################################################################
//#
//#	Copyright 	Earth People Technology Inc. 2019
//#
//#
//# File Name:  host_image_block_in.v
//# Author:     Earth People Technology
//# Date:       April 30, 2019
//# Revision:   A
//#
//# Development: LED Image Array Project 
//# Application: Altera Cyclone IV FPGA
//# Description: This file contains verilog code which will allow access
//#              to Active Transfer Library. 
//#               
//#              
//#
//#************************************************************************
//#
//# Revision History:	
//#			DATE		VERSION		DETAILS		
//#			4/30/19 	1			Created
//#
//#									
//#
//#######################################################################

module host_image_block_in(

    input wire                  CLK,
	input wire                  RST,
	
	output reg   [7:0]          OUTPUT_BUFFER,
	input  wire  [7:0]          OUTPUT_BUFFER_INDEX,
	input  wire                 ENABLE


		);

//=======================================================================
// Parameter Declarations
//=======================================================================

//=======================================================================
// Register Declarations
//=======================================================================
   wire  [215:0]        IMAGE_ARRAY;
//=======================================================================
// Simulation Directives
//=======================================================================

//=======================================================================
// Assignments	
//=======================================================================
	
   assign IMAGE_ARRAY[7:0]   =   8'h59;   
   assign IMAGE_ARRAY[15:8]  =   8'h0;   
   assign IMAGE_ARRAY[23:16] =   8'h1;   

   assign IMAGE_ARRAY[31:24] =   8'h0;   
   assign IMAGE_ARRAY[39:32] =   8'h0;   
   assign IMAGE_ARRAY[47:40] =   8'h2;     

   assign IMAGE_ARRAY[55:48] =   8'h0;   
   assign IMAGE_ARRAY[63:56] =   8'h0;   
   assign IMAGE_ARRAY[71:64] =   8'h4;       

   assign IMAGE_ARRAY[79:72] =   8'h0;   
   assign IMAGE_ARRAY[87:80] =   8'h0;   
   assign IMAGE_ARRAY[95:88] =   8'h8;      

   assign IMAGE_ARRAY[103:96] =  8'h0;   
   assign IMAGE_ARRAY[111:104] = 8'h0;   
   assign IMAGE_ARRAY[119:112] = 8'h10;      

   assign IMAGE_ARRAY[127:120] = 8'h0;   
   assign IMAGE_ARRAY[135:128] = 8'h0;   
   assign IMAGE_ARRAY[143:136] = 8'h20;       

   assign IMAGE_ARRAY[151:144] = 8'h0;   
   assign IMAGE_ARRAY[159:152] = 8'h0;   
   assign IMAGE_ARRAY[167:160] = 8'h40;      

   assign IMAGE_ARRAY[175:168] = 8'h0;   
   assign IMAGE_ARRAY[183:176] = 8'h0;   
   assign IMAGE_ARRAY[191:184] = 8'h80;      

   assign IMAGE_ARRAY[199:192] = 8'h0;   
   assign IMAGE_ARRAY[207:200] = 8'h1;   
   assign IMAGE_ARRAY[215:208] = 8'h0;     

   /////
   //////
   /////   
   
/*   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h0) ? IMAGE_ARRAY[7:0] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h1) ? IMAGE_ARRAY[15:8] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h2) ? IMAGE_ARRAY[23:16] : 8'h0;   

   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h3) ? IMAGE_ARRAY[31:24] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h4) ? IMAGE_ARRAY[39:32] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h5) ? IMAGE_ARRAY[47:40] : 8'h0;     

   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h6) ? IMAGE_ARRAY[55:48] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h7) ? IMAGE_ARRAY[63:56] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h8) ? IMAGE_ARRAY[71:64] : 8'h0;       

   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'h9) ? IMAGE_ARRAY[79:72] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'ha) ? IMAGE_ARRAY[87:80] : 8'h0;   
   assign OUTPUT_BUFFER =   (OUTPUT_BUFFER_INDEX == 8'hb) ? IMAGE_ARRAY[95:88] : 8'h0;      

   assign OUTPUT_BUFFER =  (OUTPUT_BUFFER_INDEX == 8'hc) ? IMAGE_ARRAY[103:96] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'hd) ? IMAGE_ARRAY[111:104] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'he) ? IMAGE_ARRAY[119:112] : 8'h0;      

   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'hf) ? IMAGE_ARRAY[127:120] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h10) ? IMAGE_ARRAY[135:128] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h11) ? IMAGE_ARRAY[143:136] : 8'h0;       

   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h12) ? IMAGE_ARRAY[151:144] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h13) ? IMAGE_ARRAY[159:152] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h14) ? IMAGE_ARRAY[167:160] : 8'h0;      

   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h15) ? IMAGE_ARRAY[175:168] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h16) ? IMAGE_ARRAY[183:176] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h17) ? IMAGE_ARRAY[191:184] : 8'h0;      

   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h18) ? IMAGE_ARRAY[199:192] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h19) ? IMAGE_ARRAY[207:200] : 8'h0;   
   assign OUTPUT_BUFFER = (OUTPUT_BUFFER_INDEX == 8'h1a) ? IMAGE_ARRAY[215:208] : 8'h0;     
*/   


  always @(posedge CLK or negedge RST)
  begin
     if(!RST)
	 begin
	     OUTPUT_BUFFER <= 0;
	 end
	else 
	begin
    case(OUTPUT_BUFFER_INDEX)
      8'h0:
           OUTPUT_BUFFER <= IMAGE_ARRAY[7:0];
	  8'h1:
           OUTPUT_BUFFER <= IMAGE_ARRAY[15:8];
	  8'h2:
           OUTPUT_BUFFER <= IMAGE_ARRAY[23:16];
	  8'h3:
           OUTPUT_BUFFER <= IMAGE_ARRAY[31:24];
	  8'h4:
           OUTPUT_BUFFER <= IMAGE_ARRAY[39:32];
	  8'h5:
           OUTPUT_BUFFER <= IMAGE_ARRAY[47:40];
	  8'h6:
           OUTPUT_BUFFER <= IMAGE_ARRAY[55:48];
	  8'h7:
           OUTPUT_BUFFER <= IMAGE_ARRAY[63:56];
	  8'h8:
           OUTPUT_BUFFER <= IMAGE_ARRAY[71:64];
	  8'h9:
           OUTPUT_BUFFER <= IMAGE_ARRAY[79:72];
	  8'ha:
           OUTPUT_BUFFER <= IMAGE_ARRAY[87:80];
	  8'hb:
           OUTPUT_BUFFER <= IMAGE_ARRAY[95:88];
	  8'hc:
           OUTPUT_BUFFER <= IMAGE_ARRAY[103:96];
	  8'hd:
           OUTPUT_BUFFER <= IMAGE_ARRAY[111:104];
	  8'he:
           OUTPUT_BUFFER <= IMAGE_ARRAY[119:112];
	  8'hf:
           OUTPUT_BUFFER <= IMAGE_ARRAY[127:120];
	  8'h10:
           OUTPUT_BUFFER <= IMAGE_ARRAY[135:128];
	  8'h11:
           OUTPUT_BUFFER <= IMAGE_ARRAY[143:136];
	  8'h12:
           OUTPUT_BUFFER <= IMAGE_ARRAY[151:144];
	  8'h13:
           OUTPUT_BUFFER <= IMAGE_ARRAY[159:152];
	  8'h14:
           OUTPUT_BUFFER <= IMAGE_ARRAY[167:160];
	  8'h15:
           OUTPUT_BUFFER <= IMAGE_ARRAY[175:168];
	  8'h16:
           OUTPUT_BUFFER <= IMAGE_ARRAY[183:176];
	  8'h17:
           OUTPUT_BUFFER <= IMAGE_ARRAY[191:184];
	  8'h18:
           OUTPUT_BUFFER <= IMAGE_ARRAY[199:192];
	  8'h19:
           OUTPUT_BUFFER <= IMAGE_ARRAY[207:200];
	  8'h1a:
           OUTPUT_BUFFER <= IMAGE_ARRAY[215:208];
    endcase
	end
  end
endmodule

