//================================================================
//
//	Smartronix Proprietary Information
//
//
//	File Name:	uart_iface.v
//	Author:	R. Jolly
//	Date:		November 21, 2008
//	Revision:	A
//
//
//	Development:	Environment Control Module UAV
//	Application:	Altera Stratix II
//	Description:	This file contains Verilog code that implements the uart interface
//				It has dependent files uart_transmitter.v and uart_receiver.v
//
//
//
//	Revision History:
//
//	DATE		VERSION		DETAILS
//	11/21/08		A		Created by R Jolly
//
//
//
//
//
//
//
//
//
//
//
//==================================================================

module uart_iface 
  (
   CLK,
   RST_N,
   DOUT,
   DATA_READY,
   RXD,
   CLK16X,
   RDN,
   DIN,
   TX_BUFFER_EMPTY,
   WRN,
   SDO
   );
   
//==================================================================
// IO Port Declarations                           
//==================================================================
   input  CLK;
   input  RST_N ;
   input [7:0] DIN;
   input       CLK16X;
   input       WRN;
   input       RXD;
   input       RDN;
   output      TX_BUFFER_EMPTY;
   output      SDO;
   output [7:0] DOUT;
   output 	DATA_READY;
   
//==================================================================
// Receiver and Transmitter Instantiation
//==================================================================
   
   uart_receiver RX_INST
     (
      .CLK                    (CLK),
      .RST_N                  (RST_N),
      .DOUT                   (DOUT),
      .DATA_READY             (DATA_READY),
      .RXD                    (RXD),
      .CLK16X                 (CLK16X),
      .RDN                    (RDN)
      //.SAMPLE_CLK_OUT         (),
      //.ERROR_OUT              ()
      );
   
   uart_transmitter_model TX_INST_MODEL
     (
      .CLK                    (CLK),
      .RST_N                  (RST_N),
      .DIN                    (DIN),
      .BUFFER_EMPTY           (TX_BUFFER_EMPTY),
      .CLK16X                 (CLK16X),
      .WRN                    (WRN),
      .SDO                    (SDO)
      );
   
endmodule
