//#######################################################################
//#
//#	Copyright 	Earth People Technology Inc. 2019
//#
//#
//# File Name:  image_block_in.v
//# Author:     Earth People Technology
//# Date:       April 30, 2019
//# Revision:   A
//#
//# Development: LED Image Array Project 
//# Application: Altera Cyclone IV FPGA
//# Description: This file contains verilog code which will allow access
//#              to Active Transfer Library. 
//#               
//#              
//#
//#************************************************************************
//#
//# Revision History:	
//#			DATE		VERSION		DETAILS		
//#			4/30/19 	1			Created
//#
//#									
//#
//#######################################################################

module image_block_in(
	output wire  [215:0]        IMAGE_ARRAY,
	input  wire  [7:0]          INPUT_BUFFER,
	input  wire  [7:0]          INPUT_BUFFER_INDEX,
	input  wire                 ENABLE


		);

//=======================================================================
// Parameter Declarations
//=======================================================================

//=======================================================================
// Register Declarations
//=======================================================================
   
//=======================================================================
// Simulation Directives
//=======================================================================

//=======================================================================
// Assignments	
//=======================================================================
	
   assign IMAGE_ARRAY[7:0] =    ((INPUT_BUFFER_INDEX == 8'h0) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[7:0];   
   assign IMAGE_ARRAY[15:8] =   ((INPUT_BUFFER_INDEX == 8'h1) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[15:8];   
   assign IMAGE_ARRAY[23:16] =  ((INPUT_BUFFER_INDEX == 8'h2) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[23:16];   

   assign IMAGE_ARRAY[31:24] =   ((INPUT_BUFFER_INDEX == 8'h3) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[31:24];   
   assign IMAGE_ARRAY[39:32] =   ((INPUT_BUFFER_INDEX == 8'h4) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[39:32];   
   assign IMAGE_ARRAY[47:40] =   ((INPUT_BUFFER_INDEX == 8'h5) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[47:40];     

   assign IMAGE_ARRAY[55:48] =   ((INPUT_BUFFER_INDEX == 8'h6) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[55:48];   
   assign IMAGE_ARRAY[63:56] =   ((INPUT_BUFFER_INDEX == 8'h7) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[63:56];   
   assign IMAGE_ARRAY[71:64] =   ((INPUT_BUFFER_INDEX == 8'h8) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[71:64];       

   assign IMAGE_ARRAY[79:72] =   ((INPUT_BUFFER_INDEX == 8'h9) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[79:72];   
   assign IMAGE_ARRAY[87:80] =   ((INPUT_BUFFER_INDEX == 8'ha) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[87:80];   
   assign IMAGE_ARRAY[95:88] =   ((INPUT_BUFFER_INDEX == 8'hb) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[95:88];      

   assign IMAGE_ARRAY[103:96] =  ((INPUT_BUFFER_INDEX == 8'hc) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[103:96];   
   assign IMAGE_ARRAY[111:104] = ((INPUT_BUFFER_INDEX == 8'hd) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[111:104];   
   assign IMAGE_ARRAY[119:112] = ((INPUT_BUFFER_INDEX == 8'he) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[119:112];      

   assign IMAGE_ARRAY[127:120] = ((INPUT_BUFFER_INDEX == 8'hf) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[127:120];   
   assign IMAGE_ARRAY[135:128] = ((INPUT_BUFFER_INDEX == 8'h10) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[135:128];   
   assign IMAGE_ARRAY[143:136] = ((INPUT_BUFFER_INDEX == 8'h11) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[143:136];       

   assign IMAGE_ARRAY[151:144] = ((INPUT_BUFFER_INDEX == 8'h12) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[151:144];   
   assign IMAGE_ARRAY[159:152] = ((INPUT_BUFFER_INDEX == 8'h13) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[159:152];   
   assign IMAGE_ARRAY[167:160] = ((INPUT_BUFFER_INDEX == 8'h14) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[167:160];      

   assign IMAGE_ARRAY[175:168] = ((INPUT_BUFFER_INDEX == 8'h15) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[175:168];   
   assign IMAGE_ARRAY[183:176] = ((INPUT_BUFFER_INDEX == 8'h16) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[183:176];   
   assign IMAGE_ARRAY[191:184] = ((INPUT_BUFFER_INDEX == 8'h17) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[191:184];      

   assign IMAGE_ARRAY[199:192] = ((INPUT_BUFFER_INDEX == 8'h18) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[199:192];   
   assign IMAGE_ARRAY[207:200] = ((INPUT_BUFFER_INDEX == 8'h19) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[207:200];   
   assign IMAGE_ARRAY[215:208] = ((INPUT_BUFFER_INDEX == 8'h1a) & ENABLE) ? INPUT_BUFFER : IMAGE_ARRAY[215:208];     

   
   
endmodule

