//#######################################################################
//#
//#	Copyright 	Earth People Technology Inc. 2014
//#
//#
//# File Name:  led_update.v
//# Author:     Earth People Technology
//# Date:       March 20, 2019
//# Revision:   A
//#
//# Development: EPT I2C Slave Project 
//# Application: Altera Cyclone IV FPGA
//# Description: This file contains verilog code which will allow access
//#              to Active Transfer Library. 
//#               
//#              
//#
//#************************************************************************
//#
//# Revision History:	
//#			DATE		VERSION		DETAILS		
//#			3/20/19 	1			Created
//#
//#									
//#
//#######################################################################

module led_update(
	input  wire                 CLK,
	input  wire                 RST,

	input  wire [143:0]         LED_REG,
	inout  wire [35:0]          LED,

	input  wire                 LOAD_LEDS,
	input  wire                 IDLE_LEDS


		);

//=======================================================================
// Parameter Declarations
//=======================================================================

//=======================================================================
// Register Declarations
//=======================================================================
     //LED registers
	 reg [35:0]                led_buffer;
//=======================================================================
// Simulation Directives
//=======================================================================

//=======================================================================
// Assignments	
//=======================================================================
	assign LED = led_buffer;
   //-----------------------------------------------
   // Set the LED outputs 
   //-----------------------------------------------
  always @(posedge CLK or negedge RST)
  begin
    if(!RST)
	     //LED = 36'hz;
	     led_buffer = 36'hz;
	else 
	begin
	  if(IDLE_LEDS)
	     //LED = 36'hz;
	     led_buffer = 36'hz;
	  else if(LOAD_LEDS)
	  begin
		if ( LED_REG[0] )
			//LED[0] <= 1'b0;
			led_buffer[0] <= 1'b0;
		else 
			//LED[0] <= 1'bz;
			led_buffer[0] <= 1'bz;
			
		if ( LED_REG[1] )
			//LED[1] <= 1'b0;
			led_buffer[1] <= 1'b0;
		else 
			//LED[1] <= 1'bz;
			led_buffer[1] <= 1'bz;
			
 		if ( LED_REG[2] )
			//LED[2] <= 1'b0;
			led_buffer[2] <= 1'b0;
		else 
			//LED[2] <= 1'bz;
			led_buffer[2] <= 1'bz;
			
		if ( LED_REG[3] )
			//LED[3] <= 1'b0;
			led_buffer[3] <= 1'b0;
		else 
			//LED[3] <= 1'bz;
			led_buffer[3] <= 1'bz;
			
		if ( LED_REG[4] )
			//LED[4] <= 1'b0;
			led_buffer[4] <= 1'b0;
		else 
			//LED[4] <= 1'bz;
			led_buffer[4] <= 1'bz;
			
		if ( LED_REG[5] )
			//LED[5] <= 1'b0;
			led_buffer[5] <= 1'b0;
		else 
			//LED[5] <= 1'bz;
			led_buffer[5] <= 1'bz;
			
 		if ( LED_REG[24] )
			//LED[6] <= 1'b0;
			led_buffer[6] <= 1'b0;
		else 
			//LED[6] <= 1'bz;
			led_buffer[6] <= 1'bz;
			
		if ( LED_REG[25] )
			//LED[7] <= 1'b0;
			led_buffer[7] <= 1'b0;
		else 
			//LED[7] <= 1'bz;
			led_buffer[7] <= 1'bz;

		if ( LED_REG[26] )
			//LED[8] <= 1'b0;
			led_buffer[8] <= 1'b0;
		else 
			//LED[8] <= 1'bz;
			led_buffer[8] <= 1'bz;
			
		if ( LED_REG[27] )
			//LED[9] <= 1'b0;
			led_buffer[9] <= 1'b0;
		else 
			//LED[9] <= 1'bz;
			led_buffer[9] <= 1'bz;
			
 		if ( LED_REG[28] )
			//LED[10] <= 1'b0;
			led_buffer[10] <= 1'b0;
		else 
			//LED[10] <= 1'bz;
			led_buffer[10] <= 1'bz;
			
		if ( LED_REG[29] )
			//LED[11] <= 1'b0;
			led_buffer[11] <= 1'b0;
		else 
			//LED[11] <= 1'bz;
			led_buffer[11] <= 1'bz;
			
		if ( LED_REG[48] )
			//LED[12] <= 1'b0;
			led_buffer[12] <= 1'b0;
		else 
			//LED[12] <= 1'bz;
			led_buffer[12] <= 1'bz;
			
		if ( LED_REG[49] )
			//LED[13] <= 1'b0;
			led_buffer[13] <= 1'b0;
		else 
			//LED[13] <= 1'bz;
			led_buffer[13] <= 1'bz;
			
 		if ( LED_REG[50] )
			//LED[14] <= 1'b0;
			led_buffer[14] <= 1'b0;
		else 
			//LED[14] <= 1'bz;
			led_buffer[14] <= 1'bz;
			
		if ( LED_REG[51] )
			//LED[15] <= 1'b0;
			led_buffer[15] <= 1'b0;
		else 
			//LED[15] <= 1'bz;
			led_buffer[15] <= 1'bz;

		if ( LED_REG[52] )
			//LED[16] <= 1'b0;
			led_buffer[16] <= 1'b0;
		else 
			//LED[16] <= 1'bz;
			led_buffer[16] <= 1'bz;
			
		if ( LED_REG[53] )
			//LED[17] <= 1'b0;
			led_buffer[17] <= 1'b0;
		else 
			//LED[17] <= 1'bz;
			led_buffer[17] <= 1'bz;

		if ( LED_REG[72] )
			//LED[18] <= 1'b0;
			led_buffer[18] <= 1'b0;
		else 
			//LED[18] <= 1'bz;
			led_buffer[18] <= 1'bz;
			
 		if ( LED_REG[73] )
			//LED[19] <= 1'b0;
			led_buffer[19] <= 1'b0;
		else 
			//LED[19] <= 1'bz;
			led_buffer[19] <= 1'bz;
			
		if ( LED_REG[74] )
			//LED[20] <= 1'b0;
			led_buffer[20] <= 1'b0;
		else 
			//LED[20] <= 1'bz;
			led_buffer[20] <= 1'bz;
			
		if ( LED_REG[75] )
			//LED[21] <= 1'b0;
			led_buffer[21] <= 1'b0;
		else 
			//LED[21] <= 1'bz;
			led_buffer[21] <= 1'bz;
			
		if ( LED_REG[76] )
			//LED[22] <= 1'b0;
			led_buffer[22] <= 1'b0;
		else 
			//LED[22] <= 1'bz;
			led_buffer[22] <= 1'bz;
			
 		if ( LED_REG[77] )
			//LED[23] <= 1'b0;
			led_buffer[23] <= 1'b0;
		else 
			//LED[23] <= 1'bz;
			led_buffer[23] <= 1'bz;
			
		if ( LED_REG[96] )
			//LED[24] <= 1'b0;
			led_buffer[24] <= 1'b0;
		else 
			//LED[24] <= 1'bz;
			led_buffer[24] <= 1'bz;
			
		if ( LED_REG[97] )
			//LED[25] <= 1'b0;
			led_buffer[25] <= 1'b0;
		else 
			//LED[25] <= 1'bz;
			led_buffer[25] <= 1'bz;
			
 		if ( LED_REG[98] )
			//LED[26] <= 1'b0;
			led_buffer[26] <= 1'b0;
		else 
			//LED[26] <= 1'bz;
			led_buffer[26] <= 1'bz;
			
		if ( LED_REG[99] )
			//LED[27] <= 1'b0;
			led_buffer[27] <= 1'b0;
		else 
			//LED[27] <= 1'bz;
			led_buffer[27] <= 1'bz;
			
		if ( LED_REG[100] )
			//LED[28] <= 1'b0;
			led_buffer[28] <= 1'b0;
		else 
			//LED[28] <= 1'bz;
			led_buffer[28] <= 1'bz;
			
		if ( LED_REG[101] )
			//LED[29] <= 1'b0;
			led_buffer[29] <= 1'b0;
		else 
			//LED[29] <= 1'bz;
			led_buffer[29] <= 1'bz;
			
 		if ( LED_REG[120] )
			//LED[30] <= 1'b0;
			led_buffer[30] <= 1'b0;
		else 
			//LED[30] <= 1'bz;
			led_buffer[30] <= 1'bz;
			
		if ( LED_REG[121] )
			//LED[31] <= 1'b0;
			led_buffer[31] <= 1'b0;
		else 
			//LED[31] <= 1'bz;
			led_buffer[31] <= 1'bz;

		if ( LED_REG[122] )
			//LED[32] <= 1'b0;
			led_buffer[32] <= 1'b0;
		else 
			//LED[32] <= 1'bz;
			led_buffer[32] <= 1'bz;
			
		if ( LED_REG[123] )
			//LED[33] <= 1'b0;
			led_buffer[33] <= 1'b0;
		else 
			//LED[33] <= 1'bz;
			led_buffer[33] <= 1'bz;
			
 		if ( LED_REG[124] )
			//LED[34] <= 1'b0;
			led_buffer[34] <= 1'b0;
		else 
			//LED[34] <= 1'bz;
			led_buffer[34] <= 1'bz;
			
		if ( LED_REG[125] )
			//LED[35] <= 1'b0;
			led_buffer[35] <= 1'b0;
		else 
			//LED[35] <= 1'bz;
			led_buffer[35] <= 1'bz;
	   end	
	end
  end


endmodule

