//#################################################################
//	Testbench for the 10M04 FPGA
//
//	File name:	tb_ept_10m04_top.v
//	Author:		Richard Jolly
//	Date:		August 15, 2020
//
//	Copyright 	Earth People Technology Inc. 2020
//
//#************************************************************************
//#
//# Revision History:	
//#			DATE		VERSION		DETAILS		
//#			8/15/20 	1			Created			
//#                                 
//#
//#
//################################################################
`ifndef _TB_DEFINE
 `define _TB_DEFINE



   // Loop control values for TestBench
   `define TEST_50_REPS                    8'h32
   `define TEST_30_REPS                    8'h1e
   `define TEST_20_REPS                    8'h14
   `define TEST_10_REPS                    8'h0a
   `define TEST_2_REPS                     8'h03
   `define TEST_1_REPS                     8'h01
 
   // Simulation Clocks
   `define CYCLE                           10
   `define CYCLE_10                        50
   `define CYCLE_20                        25
   `define CYCLE_33                        15.15
   `define CYCLE_50                        10
   `define CYCLE_66                        7.5
   `define CYCLE_96                        5.2
   `define CYCLE_100                       5
   `define CYCLE_150                       3.33
   `define CYCLE_300                       1.66
   `define CYCLE_400                       1.25
   `define HALF_CYCLE `CYCLE/2
   `define CYCLE_32K                       15258
   `define CYCLE_800K                      625

 


`endif //  `ifndef _TB_DEFINE

