//#################################################################
//	Testbench for the 10M04 FPGA
//
//	File name:	tb_ept_10m04_top.v
//	Author:		Richard Jolly
//	Date:		01/17/2017
//
//	Copyright 	Earth People Technology Inc. 2017
//
//#************************************************************************
//#
//# Revision History:	
//#			DATE		VERSION		DETAILS		
//#			01/17/2017 	A			Created			
//#                                 --RJJ
//
//
//################################################################

`timescale 1ns/1ps

`include "../Testbench/tb_define.v"

module tb_ept_10m04_top;

   //----------------------------------------------
   // Parameter Declarations  
   //----------------------------------------------
	parameter   D_FLIP_FLOP              = 8'h13;

//---------------------------------------------------------------------------------------------------------------
//	wire and register declarations
//---------------------------------------------------------------------------------------------------------------
	reg                                  clk_50;
	reg                                  reset;

	//Registers for the D Flip Flop
	reg                         d;
	wire                        q;
	wire                        q_bar;

//--------------------------------------------------------------------------------------------------------------
//	Generate Internal Clock with 50 MHz
//--------------------------------------------------------------------------------------------------------------

	initial 
	begin
		clk_50 = 0;
		forever
		//begin
			# `CYCLE_50 clk_50 = !clk_50;
		//end
	end

//-------------------------------------------------------------------------------------------------------------
//	Apply Stimulus
//-------------------------------------------------------------------------------------------------------------

	initial
	begin
        //////////////////////////////////////////////////////
		//Print the Title of the Section that is being tested
		
		call_title(D_FLIP_FLOP);
		#(100 * `CYCLE)
		d	=			1'b1;

		#(100 * `CYCLE)
		d	=			1'b0;

		#(50 * `CYCLE)
		d	=			1'b1;


		// End of Simulation
		#(5000000 * `CYCLE);
		stopsim;


	end	//stimulus
//--------------------------------------------------
//	Task: call title 
//--------------------------------------------------
   task call_title;
	input [7:0] select_title;
      begin
		case ( select_title ) 
		D_FLIP_FLOP:
		begin
		$display("\n\n\n\nSimulate the D Flip Flop\n");
		end
		default:
		$display("\n\n\n\nTest bench running....\n");
		endcase

      end
   endtask 

   //-----------------------------------------------
   // Task: stopsim
   //-----------------------------------------------
   task stopsim;
      begin
   	 $display("Simulation Finished at time %0t\n",$time);
	 $stop;
      end
   endtask // stopsim

  
   //-----------------------------------------------
   // Instantiate DUT
   //-----------------------------------------------
	
   EPT_10M04_AF_S2_Top          DUT
    (
	.d                 (d),
	.clk               (clk_50),
	.q                 (q),
	
	.q_bar             (q_bar)
	
	);
	

endmodule // tb_ept_10m04_top.v


