/*****************************************************
 * $Workfile::                                       
 * $Author::	RJolly                                         
 * $Date::    	11/16/11                                       
 * $Revision::   	002                                    
 *
 * Copyright Stereovision, Inc. 2011
 *
 * This header files defines the input/output
 *	11/16/11	Created this file from Digital Video Recorder
		
******************************************************/
`ifndef _TOP_DEFINE
 `define _TOP_DEFINE



 // UC vector parameters
 `define UC_DATAIN_START                0
 `define UC_DATAIN_END                  7
 `define UC_DATAOUT_START               0
 `define UC_DATAOUT_END                 7
 `define UC_PAYLOAD_START               0
 `define UC_PAYLOAD_END                 7
 `define UC_ADDRESS_START               8
 `define UC_ADDRESS_END                 10
 `define UC_LENGTH_START                11
 `define UC_LENGTH_END                  18
 `define UC_CMD_START                   19
 `define UC_CMD_END                     21
 `define UC_OUT_START                   0
 `define UC_OUT_END                     21
 `define UC_IN_START                    0
 `define UC_IN_END                      23
 
 // UC_IN Bit defines
   //-----------------------------------------------
   // UC_IN: Memory Map of the UC_IN bus. 
   // 
   // 
   //
   //      UC_IN Bit        Description
   //         21             Command - Block Transfer
   //         20             Command - Button 
   //         19             Command - LED
   //         18             Length[7]
   //         17             Length[6]
   //         16             Length[5]
   //         15             Length[4]
   //         14             Length[3]
   //         13             Length[2]
   //         12             Length[1]
   //         11             Length[0]
   //         10             Address[2]
   //          9             Address[1]
   //          8             Address[0]
   //          [7:0]         Transfer Byte
   //-----------------------------------------------
 `define UC_IN_FIFO_EN                  22
 `define UC_IN_BUSY                     23
 
 //UC_OUT Bit defines
    //-----------------------------------------------
   // UC_OUT: Memory Map of the UC_OUT bus. 
   // 
   // 
   //
   //      UC_OUT Bit        Description
   //         22             Block Transfer - byte ready
   //         21             Command - Block Transfer
   //         20             Command - Button 
   //         19             Command - SWITCH
   //         18             Length[7]
   //         17             Length[6]
   //         16             Length[5]
   //         15             Length[4]
   //         14             Length[3]
   //         13             Length[2]
   //         12             Length[1]
   //         11             Length[0]
   //         10             Address[2]
   //          9             Address[1]
   //          8             Address[0]
   //          [7:0]         Transfer Byte
   //-----------------------------------------------
 `define UC_OUT_BUSY                     23
 `define UC_OUT_FIFO_EN                  22



  // EPT parameters
 `define EPT_DATAIN_START                0
 `define EPT_DATAIN_END                  7
 `define EPT_ADDRESS_START               0
 `define EPT_ADDRESS_END                 2
 `define EPT_LENGTH_START                0
 `define EPT_LENGTH_END                  7
 `define EPT_BCIN_START                  0
 `define EPT_BCIN_END                    1
 `define EPT_BCOUT_START                 0
 `define EPT_BCOUT_END                   2
 `define EPT_AA_START                    0
 `define EPT_AA_END                      1

 //BLE Driver defines

 //Command Tokens
 `define UART_REQUEST_TOKEN             8'h1a  
 `define COMMAND_REQUEST_TOKEN          8'h2a
 `define UC_IN_REQUEST_TOKEN            8'h3a
 `define HOST_REQUEST_TOKEN             8'h4a
 `define UART_TRANSMIT_TOKEN            8'h5a


 //`define SWITCH_ON_END_OF_MESSAGE       8'h6e
 //`define SWITCH_OFF_END_OF_MESSAGE      8'h66
 //`define BUTTON_START_END_OF_MESSAGE    8'h74
 //`define BUTTON_STOP_END_OF_MESSAGE     8'h70
// `define BUTTON_END_OF_MESSAGE          8'h20
 //`define ASCII_END_OF_MESSAGE           8'ha3
 `define  END_OF_MESSAGE                  8'h00
 
 //Switch 
 `define SWITCH_CMD                     3'h5
 `define SWITCH_OFF                     8'hb2
 `define SWITCH_ON                      8'hc5
 
 `define SWITCH1                        3'h0
 `define SWITCH2                        3'h1
 `define SWITCH3                        3'h2
 `define SWITCH4                        3'h3
 `define SWITCH5                        3'h4
 `define SWITCH6                        3'h5
 `define SWITCH7                        3'h6
 `define SWITCH8                        3'h7

 `define SWITCH1_ON                     8'h08
 `define SWITCH2_ON                     8'h09
 `define SWITCH3_ON                     8'h0a
 `define SWITCH4_ON                     8'h0b
 `define SWITCH5_ON                     8'h0c
 `define SWITCH6_ON                     8'h0d
 `define SWITCH7_ON                     8'h0e
 `define SWITCH8_ON                     8'h0f

 `define SWITCH1_OFF                    8'hc1
 `define SWITCH2_OFF                    8'hc2
 `define SWITCH3_OFF                    8'hc3
 `define SWITCH4_OFF                    8'hc4
 `define SWITCH5_OFF                    8'hc5
 `define SWITCH6_OFF                    8'hc6
 `define SWITCH7_OFF                    8'hc7
 `define SWITCH8_OFF                    8'hc8
 
 //Button Defines
 `define BUTTON_CMD                     3'h6
 `define BUTTON_PRESSED                 3'h1
 
 `define START                          8'he9
 `define STOP                           8'hea
 `define TOP                            8'heb
 `define BOTTOM                         8'hec
 `define RIGHT                          8'hed
 `define LEFT                           8'hee

 `define START_BUTTON                   8'hf1
 `define STOP_BUTTON                    8'hf2
 `define TOP_BUTTON                     8'hf3
 `define BOTTOM_BUTTON                  8'hf4
 `define RIGHT_BUTTON                   8'hf5
 `define LEFT_BUTTON                    8'hf6
 
 //UC_IN 
 `define TEXT_IN_CMD                    3'h7
 `define TEXT_IN_ADDR                   3'h1
 `define CONTROL_TEXT_ADDR              3'h2
 `define TEXT_OUT_CMD                   3'h7
 `define TEXT_BLOCK_1                   8'hf8

 //UC_IN 
 `define TEXT_OUT_CMD                    3'h2
 
 //Command Parser Defines
 // Maximum count of bytes for incoming message
 // A longer message than this count is an error
 `define MAX_COUNT_COMMAND_MESSAGE      30


//UART Transmit defines
 `define UART_TRANSMIT_ADDRESS_OFFSET   8'h20
 
 //Compare Array defines
 `define LED_ARRAY_LENGTH               8
 `define START_ARRAY_LENGTH             5
 `define STOP_ARRAY_LENGTH              4
 `define RIGHT_ARRAY_LENGTH             5
 `define LEFT_ARRAY_LENGTH              4
 `define UP_ARRAY_LENGTH                3
 `define DOWN_ARRAY_LENGTH              6

 //Custom Text Block Command Array defines
 `define START_TEMPERATURE              8'ha1
 `define STOP_TEMPERATURE               8'ha2
 `define CHANGE_TEMPERATURE_INT_0_1     8'ha3
 `define CHANGE_TEMPERATURE_INT_1       8'ha4
 `define CHANGE_TEMPERATURE_INT_5       8'ha5

 
`endif //  `ifndef _TOP_DEFINE

